# Uses of Interface
javax.print.PrintService

Packages that use PrintService
Package
Description
java.awt.print
Provides classes and interfaces for a general printing API.
javax.print
Provides the principal classes and interfaces for the Java Print Service API.
javax.print.event
Package `javax.print.event` contains event classes and listener interfaces.
javax.swing
Provides a set of "lightweight" (all-Java language) components that, to the maximum degree possible, work the same on all platforms.
javax.swing.text
Provides classes and interfaces that deal with editable and noneditable text components.

## Uses of PrintService in java.awt.print

Methods in java.awt.print that return PrintService
Modifier and Type
Method
Description
`PrintService`
PrinterJob.`getPrintService()`
Returns the service (printer) for this printer job.
`static PrintService[]`
PrinterJob.`lookupPrintServices()`
A convenience method which looks up 2D print services.
Methods in java.awt.print with parameters of type PrintService
Modifier and Type
Method
Description
`void`
PrinterJob.`setPrintService(PrintService service)`
Associate this PrinterJob with a new PrintService.

## Uses of PrintService in javax.print

Subinterfaces of PrintService in javax.print
Modifier and Type
Interface
Description
`interface`
`MultiDocPrintService`
Interface `MultiPrintService` is the factory for a `MultiDocPrintJob`.
Classes in javax.print that implement PrintService
Modifier and Type
Class
Description
`class`
`StreamPrintService`
This class extends `PrintService` and represents a print service that prints data in different formats to a client-provided output stream.
Methods in javax.print that return PrintService
Modifier and Type
Method
Description
`abstract PrintService`
PrintServiceLookup.`getDefaultPrintService()`
Not called directly by applications.
`PrintService`
DocPrintJob.`getPrintService()`
Determines the `PrintService` object to which this print job object is bound.
`abstract PrintService[]`
PrintServiceLookup.`getPrintServices()`
Not called directly by applications.
`abstract PrintService[]`
PrintServiceLookup.`getPrintServices(DocFlavor flavor, AttributeSet attributes)`
Locates services that can be positively confirmed to support the combination of attributes and `DocFlavors` specified.
`static final PrintService`
PrintServiceLookup.`lookupDefaultPrintService()`
Locates the default print service for this environment.
`static final PrintService[]`
PrintServiceLookup.`lookupPrintServices(DocFlavor flavor, AttributeSet attributes)`
Locates print services capable of printing the specified `DocFlavor`.
`static PrintService`
ServiceUI.`printDialog(GraphicsConfiguration gc, int x, int y, PrintService[] services, PrintService defaultService, DocFlavor flavor, PrintRequestAttributeSet attributes)`
Presents a dialog to the user for selecting a print service (printer).
Methods in javax.print with parameters of type PrintService
Modifier and Type
Method
Description
`static PrintService`
ServiceUI.`printDialog(GraphicsConfiguration gc, int x, int y, PrintService[] services, PrintService defaultService, DocFlavor flavor, PrintRequestAttributeSet attributes)`
Presents a dialog to the user for selecting a print service (printer).
`static boolean`
PrintServiceLookup.`registerService(PrintService service)`
Allows an application to directly register an instance of a class which implements a print service.

## Uses of PrintService in javax.print.event

Methods in javax.print.event that return PrintService
Modifier and Type
Method
Description
`PrintService`
PrintServiceAttributeEvent.`getPrintService()`
Returns the print service.
Constructors in javax.print.event with parameters of type PrintService
Modifier
Constructor
Description
``
`PrintServiceAttributeEvent(PrintService source, PrintServiceAttributeSet attributes)`
Constructs a `PrintServiceAttributeEvent` object.

## Uses of PrintService in javax.swing

Methods in javax.swing with parameters of type PrintService
Modifier and Type
Method
Description
`boolean`
JTable.`print(JTable.PrintMode printMode, MessageFormat headerFormat, MessageFormat footerFormat, boolean showPrintDialog, PrintRequestAttributeSet attr, boolean interactive, PrintService service)`
Prints this `JTable`.

## Uses of PrintService in javax.swing.text

Methods in javax.swing.text with parameters of type PrintService
Modifier and Type
Method
Description
`boolean`
JTextComponent.`print(MessageFormat headerFormat, MessageFormat footerFormat, boolean showPrintDialog, PrintService service, PrintRequestAttributeSet attributes, boolean interactive)`
Prints the content of this `JTextComponent`.